<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::base64 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1base64.html">base64</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1base64-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::base64 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1base64_1_1decode__error.html">decode_error</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a22c7a13e6228d54ad535844a72360f9d"><td class="memItemLeft" align="right" valign="top"><a id="a22c7a13e6228d54ad535844a72360f9d"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>line_ending_type</b> { <b>CR</b>, 
<b>LF</b>, 
<b>CRLF</b>
 }</td></tr>
<tr class="separator:a22c7a13e6228d54ad535844a72360f9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20befa32453f508801663b7676677e77"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classdlib_1_1base64.html">base64</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1base64.html#a20befa32453f508801663b7676677e77">kernel_1a</a></td></tr>
<tr class="separator:a20befa32453f508801663b7676677e77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afd86c63c468b7c3c7542dc087c04aad7"><td class="memItemLeft" align="right" valign="top"><a id="afd86c63c468b7c3c7542dc087c04aad7"></a>
line_ending_type&#160;</td><td class="memItemRight" valign="bottom"><b>line_ending</b> () const</td></tr>
<tr class="separator:afd86c63c468b7c3c7542dc087c04aad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad813a953e305c21a7e43b40deeb1b6a9"><td class="memItemLeft" align="right" valign="top"><a id="ad813a953e305c21a7e43b40deeb1b6a9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_line_ending</b> (line_ending_type eol_style_)</td></tr>
<tr class="separator:ad813a953e305c21a7e43b40deeb1b6a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c0e7306edb934c17d34e40c8e6506dd"><td class="memItemLeft" align="right" valign="top"><a id="a1c0e7306edb934c17d34e40c8e6506dd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>encode</b> (std::istream &amp;in, std::ostream &amp;out) const</td></tr>
<tr class="separator:a1c0e7306edb934c17d34e40c8e6506dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89255803ff1ec347e7efa7e4087b4a05"><td class="memItemLeft" align="right" valign="top"><a id="a89255803ff1ec347e7efa7e4087b4a05"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>decode</b> (std::istream &amp;in, std::ostream &amp;out) const</td></tr>
<tr class="separator:a89255803ff1ec347e7efa7e4087b4a05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4a18e85d6d3832b1d8f5461277dd7db8"><td class="memItemLeft" align="right" valign="top"><a id="a4a18e85d6d3832b1d8f5461277dd7db8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>base64</b> (<a class="el" href="classdlib_1_1base64.html">base64</a> &amp;)</td></tr>
<tr class="separator:a4a18e85d6d3832b1d8f5461277dd7db8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1148da87ef3805bde58ed9887943bfd6"><td class="memItemLeft" align="right" valign="top"><a id="a1148da87ef3805bde58ed9887943bfd6"></a>
<a class="el" href="classdlib_1_1base64.html">base64</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1base64.html">base64</a> &amp;)</td></tr>
<tr class="separator:a1148da87ef3805bde58ed9887943bfd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7e41b5bb7d2acae85c2cc9ee1481b478"><td class="memItemLeft" align="right" valign="top"><a id="a7e41b5bb7d2acae85c2cc9ee1481b478"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>encode_table</b></td></tr>
<tr class="separator:a7e41b5bb7d2acae85c2cc9ee1481b478"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d05d84a67329eb13d8520cfc28ee69e"><td class="memItemLeft" align="right" valign="top"><a id="a6d05d84a67329eb13d8520cfc28ee69e"></a>
unsigned char *&#160;</td><td class="memItemRight" valign="bottom"><b>decode_table</b></td></tr>
<tr class="separator:a6d05d84a67329eb13d8520cfc28ee69e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95780915d7b86b097d032b228ef6ad1d"><td class="memItemLeft" align="right" valign="top"><a id="a95780915d7b86b097d032b228ef6ad1d"></a>
const unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>bad_value</b></td></tr>
<tr class="separator:a95780915d7b86b097d032b228ef6ad1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0408bc7cd46944e655048b1f2c9607fd"><td class="memItemLeft" align="right" valign="top"><a id="a0408bc7cd46944e655048b1f2c9607fd"></a>
line_ending_type&#160;</td><td class="memItemRight" valign="bottom"><b>eol_style</b></td></tr>
<tr class="separator:a0408bc7cd46944e655048b1f2c9607fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a20befa32453f508801663b7676677e77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20befa32453f508801663b7676677e77">&#9670;&nbsp;</a></span>kernel_1a</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classdlib_1_1base64.html">base64</a> <a class="el" href="classdlib_1_1base64.html#a20befa32453f508801663b7676677e77">dlib::base64::kernel_1a</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">INITIAL VALUE
    - bad_value == 100
    - encode_table == a pointer to an array of 64 chars
    - where x is a 6 bit value the following is true:
        - encode_table[x] == the base64 encoding of x
    - decode_table == a pointer to an array of UCHAR_MAX chars
    - where x is any char value:
        - if (x is a valid character in the base64 coding scheme) then
            - decode_table[x] == the 6 bit value that x encodes
        - else
            - decode_table[x] == bad_value 

CONVENTION
    - The state of this object never changes so just refer to its
      initial value.
</pre><p>! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="base64__kernel__1_8h_source.html">base64_kernel_1.h</a></li>
<li>base64_kernel_1.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
